0.05 credits per call
getTokenAccountsByDelegate on Solana: Returns all SPL token accounts delegated to an address.
Endpoint
Authorization: Bearer <GOLDRUSH_API_KEY>. See authentication.
Parameters
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
delegate | string | yes | Base-58 encoded delegate address. | "4Nd1mBQtrMJVYVfKf2PJy9NZUZdTAsp7D4xWLs4gDB4T" |
filter | object | yes | Either {mint} or {programId}. Exactly one is required. | {"programId":"TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA"} |
config | object | no | {commitment?, encoding?, dataSlice?, minContextSlot?}. | {"encoding":"jsonParsed"} |
Returns
object: {context, value: array<{pubkey, account}>}.
Examples
Errors
Standard JSON-RPC errors:-32600 invalid request, -32601 method not found, -32602 invalid params.